commit:     f478142f7e09113eda2a1618aab90c2b563f34d6
Author:     Stefan G. Weichinger <office <AT> oops <DOT> co <DOT> at>
AuthorDate: Sun Jan 15 07:49:50 2017 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Jan 15 07:52:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f478142f

www-apps/otrs: Bump to v5.0.15

Closes https://github.com/gentoo/gentoo/pull/3412

Gentoo-Bug: https://bugs.gentoo.org/563580
Gentoo-Bug: https://bugs.gentoo.org/598768

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 www-apps/otrs/Manifest           |   1 +
 www-apps/otrs/files/otrs.service |  13 ++++
 www-apps/otrs/otrs-5.0.15.ebuild | 152 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 166 insertions(+)

diff --git a/www-apps/otrs/Manifest b/www-apps/otrs/Manifest
index 70bc366..9fabaeb 100644
--- a/www-apps/otrs/Manifest
+++ b/www-apps/otrs/Manifest
@@ -1,2 +1,3 @@
 DIST otrs-4.0.12.tar.bz2 14373765 SHA256 
ea0a7b2019c46108f78d2329aa40ec5024405f08b586b6b33a6fca6a31ca9880 SHA512 
17177b42c3768d271388fbe7abef033553fa524ba819a903b3f151b560de31183c5a1d975f8eb75f755b8bbf99331808309002f38cf3f469b22eadc8fefaa911
 WHIRLPOOL 
07b3d81c36e10f89ba1498c8d80845f53fc44feab25903addb8c3e6fa567633ec9938115859b5b81bc74efaa7c65286a1f501d6472737e00c47cfa48b77b2ac4
 DIST otrs-4.0.13.tar.bz2 14376200 SHA256 
1c663c264043b65369f5608f9c5fcfc90938147053b14581db306df0c5e3e9ff SHA512 
fb6156385643c838f46f80eeb8db2777ed426bca10df0ea94654df80b84e6dfd320a1ef6e43312edfcdb1a735e592cc49707a9507a47f2a5e3f5c80d9e0ccdc4
 WHIRLPOOL 
ff8654485bf69ea08abd97e08dcaf68633f16242afc9beb169b0682a2155e4e4e89f5776d36eaaf15ab2ecde0717fb9c85676a3120ee01a21d3c70068605d669
+DIST otrs-5.0.15.tar.bz2 19344790 SHA256 
03f294a34c1e44b0bf5d6974eab718e053546e6e7d9d84c7b14958827b83805b SHA512 
5ac8614eee5719831dbf5e19c401c3947d48c0f43fea3d1be70cde797f108f5ca964616f7d0129471636d1f69f1ecaaa63939870c66c64138fd925c74cf6174c
 WHIRLPOOL 
58406cc2cb2700b96811913c0b31dfca9dc7df051e6206d957c382f494f2ac1a6a5bfea7a16d155e6fe384070d2cb121358496c477a70866f907caeddafcd90f

diff --git a/www-apps/otrs/files/otrs.service b/www-apps/otrs/files/otrs.service
new file mode 100644
index 00000000..546ecdd
--- /dev/null
+++ b/www-apps/otrs/files/otrs.service
@@ -0,0 +1,13 @@
+[Unit]
+Description=OTRS daemon
+
+[Service]
+Type=forking
+WorkingDirectory=/var/lib/otrs
+User=otrs
+ExecStart=/var/lib/otrs/bin/otrs.Daemon.pl start
+ExecStop=/var/lib/otrs/bin/otrs.Daemon.pl stop
+PrivateTmp=true
+
+[Install]
+WantedBy=multi-user.target

diff --git a/www-apps/otrs/otrs-5.0.15.ebuild b/www-apps/otrs/otrs-5.0.15.ebuild
new file mode 100644
index 00000000..b0fdaee
--- /dev/null
+++ b/www-apps/otrs/otrs-5.0.15.ebuild
@@ -0,0 +1,152 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit confutils user systemd
+
+DESCRIPTION="OTRS is an Open source Ticket Request System"
+HOMEPAGE="https://otrs.org/";
+SRC_URI="https://ftp.otrs.org/pub/${PN}/${P}.tar.bz2";
+
+LICENSE="AGPL-3"
+KEYWORDS="~amd64 ~x86"
+IUSE="apache2 fastcgi +gd ldap mod_perl +mysql pdf postgres soap"
+SLOT="0"
+
+DEPEND="media-libs/libpng:0"
+
+RDEPEND="dev-perl/Apache-Reload
+       dev-perl/Archive-Zip
+       dev-perl/DBI
+       dev-perl/IO-Socket-SSL
+       dev-perl/JSON-XS
+       dev-perl/LWP-UserAgent-Determined
+       dev-perl/Mail-POP3Client
+       dev-perl/Mail-IMAPClient
+       >dev-perl/Net-DNS-0.60
+       dev-perl/Template-Toolkit
+       dev-perl/Text-CSV_XS
+       dev-perl/TimeDate
+       dev-perl/XML-Parser
+       dev-perl/YAML-LibYAML
+       apache2? (
+               mod_perl? (
+                       www-servers/apache:2
+                       =www-apache/libapreq2-2* www-apache/mod_perl
+               )
+               !fastcgi? ( !mod_perl? ( www-servers/apache:2[suexec] ) )
+       )
+       fastcgi? (
+               dev-perl/FCGI
+               virtual/httpd-fastcgi
+       )
+       !fastcgi? ( !apache2? ( virtual/httpd-cgi ) )
+       gd? (
+               dev-perl/GD
+               dev-perl/GDTextUtil
+               dev-perl/GDGraph
+       )
+       ldap? ( dev-perl/perl-ldap )
+       mysql? ( dev-perl/DBD-mysql )
+       postgres? ( dev-perl/DBD-Pg )
+       pdf? (
+               >=dev-perl/PDF-API2-0.73
+               virtual/perl-Compress-Raw-Zlib
+       )
+       soap? (
+               dev-perl/SOAP-Lite
+               !=dev-perl/SOAP-Lite-0.711
+               !=dev-perl/SOAP-Lite-0.712
+       )
+       "
+
+OTRS_HOME="${EROOT%/}/var/lib/otrs"
+
+pkg_setup() {
+       # The enewuser otrs will fail if apache isn't there, but it's an 
optional dep
+       # so we create the apache user here just in case
+       enewgroup apache 81
+       enewuser apache 81 -1 /var/www apache
+       enewuser otrs -1 -1 ${OTRS_HOME} apache
+       confutils_require_any mysql postgres
+}
+
+src_prepare() {
+       rm -fr "${S}/scripts"/{auto_*,redhat*,suse*,*.spec} || die
+
+       pushd Kernel >/dev/null || die
+       for i in *.dist; do
+               cp ${i} $(basename ${i} .dist) || die
+       done
+       popd >/dev/null || die
+
+       # Fix broken png file (and see pngfix help for exit codes)
+       pngfix -q --out=out.png 
"${S}/var/httpd/htdocs/skins/Agent/default/img/otrs-verify.png"
+       if [[ $? -gt 15 ]]; then
+               die "pngfix failed"
+       fi
+       mv -f out.png 
"${S}/var/httpd/htdocs/skins/Agent/default/img/otrs-verify.png" || die
+
+       sed -i -e "s:/opt/otrs:${OTRS_HOME}:g" "${S}"/Kernel/Config.pm \
+               || die "sed failed"
+
+       sed -i -e "s:/opt/otrs:${OTRS_HOME}:g" "${S}"/Kernel/Config/Defaults.pm 
\
+               || die "sed failed"
+
+       grep -lR "/opt" "${S}"/scripts | \
+               xargs sed -i -e "s:/opt/otrs:${OTRS_HOME}:g" \
+               || die "sed failed"
+
+       echo "CONFIG_PROTECT=\"${OTRS_HOME}/Kernel/Config.pm \
+               ${OTRS_HOME}/Kernel/Config/GenericAgent.pm\"" > "${T}/50${PN}" 
|| die
+
+       eapply_user
+}
+
+# This is too automagic, either einfo telling user or installing to 
/etc/cron.d/ should be preferred
+pkg_config() {
+       einfo "Installing cronjobs"
+       crontab -u otrs /usr/share/doc/${PF}/crontab || die
+}
+
+src_install() {
+       dodoc CHANGES.md README*
+
+       insinto "${OTRS_HOME}"
+       doins -r .fetchmailrc.dist .mailfilter.dist .procmailrc.dist RELEASE \
+               Custom Kernel bin scripts var
+
+       cat "${S}"/var/cron/*.dist > crontab || die
+       insinto /usr/share/doc/${PF}/
+       doins crontab
+
+       for a in article log pics/images pics/stats pics sessions spool tmp 
tmp/CacheFileStorable
+       do
+               keepdir "${OTRS_HOME}/var/${a}"
+       done
+       doenvd "${T}/50${PN}"
+
+       systemd_dounit "${FILESDIR}/otrs.service"
+}
+
+pkg_postinst() {
+       einfo "Setting correct permissions ..."
+       /usr/bin/env perl "${OTRS_HOME%}"/bin/otrs.SetPermissions.pl 
"${OTRS_HOME}" \
+               --otrs-user=otrs \
+               --web-group=apache \
+               || die "Could not set permissions"
+
+       einfo "Installation done!"
+       elog "1) Rebuild your config now by running the following commands:"
+       elog "sudo -u otrs /usr/bin/env perl "${OTRS_HOME}"/bin/otrs.Console.pl 
Maint::Config::Rebuild"
+       elog "sudo -u otrs /usr/bin/env perl "${OTRS_HOME}"/bin/otrs.Console.pl 
Maint::Cache::Delete"
+       elog ""
+       elog "2) Enable cronjobs with the following command:"
+       elog "crontab -u otrs crontab"
+       elog ""
+       elog "3) systemd users: enable and start OTRS daemon:"
+       elog "systemctl enable otrs"
+       elog "systemctl start otrs"
+}

Reply via email to